A valid request URL is required to generate request examples{
"transaction_id": "<string>",
"version": {
"version": 1,
"manifest_path": "<string>",
"manifest_size": 1,
"e_tag": "<string>",
"timestamp_millis": 123,
"metadata": {}
}
}Create a new table version
Create a new version entry for table id.
This operation supports put_if_not_exists semantics.
The operation will fail with 409 Conflict if the version already exists.
A valid request URL is required to generate request examples{
"transaction_id": "<string>",
"version": {
"version": 1,
"manifest_path": "<string>",
"manifest_size": 1,
"e_tag": "<string>",
"timestamp_millis": 123,
"metadata": {}
}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
Query Parameters
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Body
Request to create a new table version entry.
This supports put_if_not_exists semantics,
where the operation fails if the version already exists.
Version number to create
x >= 0Path to the manifest file for this version
Identity information of a request.
Show child attributes
Show child attributes
Arbitrary context for a request as key-value pairs. How to use the context is custom to the specific implementation.
REST NAMESPACE ONLY
Context entries are passed via HTTP headers using the naming convention
x-lance-ctx-<key>: <value>. For example, a context entry
{"trace_id": "abc123"} would be sent as the header x-lance-ctx-trace_id: abc123.
Show child attributes
Show child attributes
The table identifier
Size of the manifest file in bytes
x >= 0Optional ETag for the manifest file
Optional metadata for the version
Show child attributes
Show child attributes
The naming scheme used for manifest files in the _versions/ directory.
Known values:
V1:_versions/{version}.manifest- Simple version-based namingV2:_versions/{inverted_version}.manifest- Zero-padded, reversed version number (usesu64::MAX - version) for O(1) lookup of latest version on object stores
V2 is preferred for new tables as it enables efficient latest-version discovery without needing to list all versions.
"V2"
Was this page helpful?